# @secretlint/secretlint-rule-secp256k1-privatekey

A secretlint for secp256k1 curve private keys such as used by Bitcoin an Ethereum.

## Install

Install with [npm](https://www.npmjs.com/):

    npm install @secretlint/secretlint-rule-secp256k1-privatekey

## Usage

Via `.secretlintrc.json`(Recommended)

```json
{
    "rules": [
        {
            "id": "@secretlint/secretlint-rule-secp256k1-privatekey"
        }
    ]
}
```


## MessageIDs

### secp256k1Priv
> found secp256k1 private key: {{KEY}}

Secp256k1 curve private keys such as used by Bitcoin an Ethereum.
It should be treated as credentials.

## Options

- `allows: string[]`
    - Allows a list of [RegExp-like String](https://github.com/textlint/regexp-string-matcher#regexp-like-string)

## Changelog

See [Releases page](https://github.com/secretlint/secretlint/releases).

## Running tests

Install devDependencies and Run `npm test`:

    npm test

## Contributing

Pull requests and stars are always welcome.

For bugs and feature requests, [please create an issue](https://github.com/secretlint/secretlint/issues).

1. Fork it!
2. Create your feature branch: `git checkout -b my-new-feature`
3. Commit your changes: `git commit -am 'Add some feature'`
4. Push to the branch: `git push origin my-new-feature`
5. Submit a pull request :D

## Author

- [github/mtsalenc](https://github.com/mtsalenc)
- [twitter/mtsalenc](https://twitter.com/mtsalenc)

## License

MIT © mtsalenc
